import { CommandContext, CommandNamespace, BasicOptions, StrictBasicOptions } from './initCmd';
import { Dependencies } from '../installMultiple';
import { PackageContext } from '../install';
import { Got } from '../network/got';
export declare type PackageInstallationResult = {
    path: string;
    pkgFullname: string;
};
export declare type CachedPromises = {
    [name: string]: Promise<void>;
};
export declare type InstalledPackages = {
    [name: string]: PackageContext;
};
export declare type InstallContext = CommandContext & {
    installs: InstalledPackages;
    piq?: PackageInstallationResult[];
    got: Got;
    builds: CachedPromises;
    fetches: CachedPromises;
};
export declare type InstallNamespace = CommandNamespace & {
    ctx: InstallContext;
};
export declare type PublicInstallationOptions = BasicOptions & {
    save?: boolean;
    saveDev?: boolean;
    saveOptional?: boolean;
    production?: boolean;
    concurrency?: number;
    fetchRetries?: number;
    fetchRetryFactor?: number;
    fetchRetryMintimeout?: number;
    fetchRetryMaxtimeout?: number;
    saveExact?: boolean;
};
export declare type StrictPublicInstallationOptions = StrictBasicOptions & {
    save: boolean;
    saveDev: boolean;
    saveOptional: boolean;
    production: boolean;
    concurrency: number;
    fetchRetries: number;
    fetchRetryFactor: number;
    fetchRetryMintimeout: number;
    fetchRetryMaxtimeout: number;
    saveExact: boolean;
};
export default function (fuzzyDeps: string[] | Dependencies, optsNullable: PublicInstallationOptions): Promise<void>;
