import { PackageDist } from '../resolve';
import { InstallContext } from '../api/install';
export declare type PackageMeta = {
    rawSpec: string;
    optional: boolean;
};
export declare type InstallationOptions = {
    ignoreScripts: boolean;
    optional?: boolean;
    keypath?: string[];
    parentRoot?: string;
};
export declare type PackageSpec = {
    raw: string;
    name: string;
    scope: string;
    type: string;
    spec: string;
    rawSpec: string;
};
export declare type PackageContext = {
    spec: PackageSpec;
    optional: boolean;
    keypath: string[];
    fullname: string;
    name: string;
    version: string;
    root?: string;
    ignoreScripts: boolean;
};
export declare type FreshPackageContext = PackageContext & {
    dist: PackageDist;
};
export declare type InstallLog = (msg: string, data?: Object) => void;
export default function install(ctx: InstallContext, pkgMeta: PackageMeta, modules: string, options: InstallationOptions): Promise<PackageContext>;
