import { PackageSpec } from '../install';
import { Got } from '../network/got';
export declare type PackageDist = {
    local: boolean;
    remove: boolean;
    tarball: string;
    shasum: string;
};
export declare type ResolveResult = {
    name: string;
    fullname: string;
    version: string;
    dist: PackageDist;
    root?: string;
};
export declare type PackageToResolve = PackageSpec & {
    root: string;
};
export declare type HostedPackageToResolve = PackageToResolve & {
    hosted: {
        type: string;
        shortcut: string;
    };
};
export declare type ResolveOptions = {
    log(msg: string): void;
    got: Got;
};
/**
 * Resolves a package in the NPM registry. Done as part of `install()`.
 *
 *     var npa = require('npm-package-arg')
 *     resolve(npa('rimraf@2'))
 *       .then((res) => {
 *         res.fullname == 'rimraf@2.5.1'
 *         res.dist == {
 *           shasum: '0a1b2c...'
 *           tarball: 'http://...'
 *         }
 *       })
 */
export default function resolve(pkg: PackageToResolve, opts: ResolveOptions): Promise<ResolveResult>;
